import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/const/const.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';
import 'package:taafee_mobile/common/widgets/header_screen.dart';
import 'package:taafee_mobile/common/widgets/text.dart';
import '../../../splash/data layer/model/params.dart';

class PrivacyScreen extends StatelessWidget {
  const PrivacyScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SingleChildScrollView(
        child: Column(
          children: [
            HeaderScreen("privacy_and_terms".tr)
                .paddingOnly(top: 20, bottom: 30)
                .paddingSymmetric(
                  horizontal: Responsive.isTablet() ? 20 : 20,
                ),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                MediumTextWidget(
                  "privacy".tr,
                  fontSize: Responsive.isTablet() ? 32 : 16,
                ).paddingOnly(bottom: 10),
                MediumTextWidget(
                  fontSize: Responsive.isTablet() ? 24 : null,
                  Params.privacy,
                ).paddingOnly(bottom: 20),
                MediumTextWidget(
                  "terms".tr,
                  fontSize: Responsive.isTablet() ? 32 : 16,
                ).paddingOnly(bottom: 10),
                MediumTextWidget(
                  fontSize: Responsive.isTablet() ? 24 : null,
                  Params.terms,
                ).paddingOnly(bottom: 10)
              ],
            ).paddingSymmetric(horizontal: Responsive.isTablet() ? 30 : 30),
          ],
        ).paddingSymmetric(horizontal: Responsive.isTablet() ? 30 : 0),
      ),
    ).makeSafeArea();
  }
}
